using Godot;

namespace Cirno.Scripts.Interactables;

public interface IInteractable
{
    public bool Activate(ActivationType activationType = ActivationType.Toggle);
    public bool CanActivate();
    
    public Vector2 GetGlobalPosition();
    //protected bool MeetsRequirements();
}